<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{@onSave}}
  @onCancel={{@onCancel}}
  @value={{@value}}
  ...attributes
>
  <:view>
    {{#if this.questions}}
      <AnswerList @value={{@value}} @questions={{this.questions}} />
    {{else}}
      <div class="alert alert-info" role="alert">
        {{t "answer-message.no-generic-questions"}}
      </div>
    {{/if}}
  </:view>

  <:edit as |manager|>
    <Input::QuestionList @questions={{this.questions}} @value={{manager.value}} @onChange={{manager.change}} />
  </:edit>
</Manage::FieldContainer>